Summary: Utilities for manipulating Macintosh file formats.
Name: macutils
Version: 2.0b3
Release: 32.2.1
License: Distributable
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}.tar.gz
Patch0: macutils-misc.patch
Patch1: macutils-binhex.patch
Patch2: macutils-warnfix.patch
Patch3: macutils-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The macutils package includes a set of utilities for manipulating
files that are commonly used by Macintosh machines.  Macutils includes
utilities like binhex, hexbin, macunpack, etc.

Install macutils if you need to manipulate files that are commonly
used by Macintosh machines.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .misc
%patch1 -p1 -b .binhex
%patch2 -p1 -b .warnfix
%patch3 -p1 -b .gcc4

%build
make CFLAGS="-DTYPES_H -DDIRENT_H -DTERMIOS_H -DNODOT -DAPPLEDOUBLE $RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

make DESTDIR=%{buildroot} install
cp man/* %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0b3-32.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0b3-32.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Jindrich Novy <jnovy@redhat.com> 2.0b3-32
- fix inclusion of missing headers and duplicated extern declarations
  that caused problems with gcc4
- rebuilt with gcc4

* Thu Feb 10 2005 Jindrich Novy <jnovy@redhat.com> 2.0b3-31
- remove -D_FORTIFY_SOURCE=2 from CFLAGS, present in RPM_OPT_FLAGS

* Wed Feb  9 2005 Jindrich Novy <jnovy@redhat.com> 2.0b3-30
- add -D_FORTIFY_SOURCE=2
- define TYPES_H, DIRENT_H, TERMIOS_H, NODOT and APPLEDOUBLE macros
  explicitely in spec to avoid clashes between CFLAGS in spec and
  CF defined in the makefile

* Fri Aug 13 2004 Jindrich Novy <jnovy@redhat.com> 2.0b3-29
- patch to fix binhex header upon user's request #74010
- code cleanup - warnfix patch
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 08 2004 Than Ngo <than@redhat.com> 2.0b3-27
- fix build problem

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 2.0b3-23
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 2.0b3-21
- don't forcibly strip binaries
- cleanup patch file

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 2.0b3-19
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Mar 14 2001 Tim Powers <timp@redhat.com>
- fixed copyright

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- use FHS paths
- buildable as non-root

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man pages
- make relocatable

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
